### Enumeration

# Gimp ProgressCommand

#### Declaration

    enum Gimp.ProgressCommand

#### Description [src]

Commands for the progress API.

#### Members

`GIMP_PROGRESS_COMMAND_START`

  Start a progress.

  - Value: `0`
  - Available since: 3.0
`GIMP_PROGRESS_COMMAND_END`

  End the progress.

  - Value: `1`
  - Available since: 3.0
`GIMP_PROGRESS_COMMAND_SET_TEXT`

  Set the text.

  - Value: `2`
  - Available since: 3.0
`GIMP_PROGRESS_COMMAND_SET_VALUE`

  Set the percentage.

  - Value: `3`
  - Available since: 3.0
`GIMP_PROGRESS_COMMAND_PULSE`

  Pulse the progress.

  - Value: `4`
  - Available since: 3.0
`GIMP_PROGRESS_COMMAND_GET_WINDOW`

  Get the window where the progress is shown.

  - Value: `5`
  - Available since: 3.0